%define ver 1.15

Summary: A document formatting system.
Name: groff
Version: %{ver}jp
Release: 1a
Copyright: GPL
Group: Applications/Publishing
Source0: ftp://prep.ai.mit.edu/pub/gnu/%{name}-%{ver}.tar.gz
Source1: troff-to-ps.fpi
Source2: mandocj.tar.gz
Patch0:  groff-1.15-make.patch
Patch1: groff-1.11-safer.patch
Patch2: groff-1.15-bash2.patch
Patch3: groff-1.11-egcs.patch
Patch4: groff-1.11-glibc21.patch
Patch5: jgroff-1.15.diff
Requires: mktemp
Obsoletes: groff-tools
BuildRoot: /var/tmp/%{name}-%{version}-root
#Vendor: Linux Japanese RPM Project
#Distribution: Linux Japanese RPM Project
#Packager: Atsushi Yamagata <yamagata@plathome.co.jp>
Summary(ja): ʸƥ

%description
Groff is a document formatting system.  Groff takes standard text and
formatting commands as input and produces formatted output.  The
created documents can be shown on a display or printed on a printer. 
Groff's formatting commands allow you to specify font type and size, bold
type, italic type, the number and size of columns on a page, and more.

You should install groff if you want to use it as a document formatting
system.  Groff can also be used to format man pages. If you are going
to use groff with the X Window System, you'll also need to install the
groff-gxditview package.

%description -l ja
groff ʸƥǤɡƥȤޥɤϤ
ơ줿Ϥޤ줿ʸϥǥץ쥤ɤ
ץ󥿤ǰǤޤgroff ޥɤǥեȤΥפȥ
ɡסåסڡΥΥʤɤ
ޤ

groff ʸƥȤƻѤʤ饤󥹥ȡ뤹ɬפޤ
groff ϥޥ˥奢롦ڡ뤳ȤˤѤǤޤgroff  X 
ɥƥǻȤĤʤ顢groff-gxditview ѥå⥤󥹥ȡ뤹
ɬפޤ

%package gxditview
Summary: GNU groff X previewer
Group: Applications/Publishing
Summary(ja): GNU groff X ץӥ塼

%description gxditview
Gxditview displays the groff text processor's output on an X Window
System display.

If you are going to use groff as a text processor, you should install
gxditview so that you preview your processed text files in X.  You'll also
need to install the groff package and the X Window System.

%description gxditview -l ja
gxditview  X ɥƥΥǥץ쥤 groff ƥȽ
ɽޤ

groff ƥȽȤƻȤʤ顢X ǽѤߤΥƥȡե
ץ塼뤿 gxditview 򥤥󥹥ȡ뤹ɬפޤޤ groff
ѥå X ɥƥ򥤥󥹥ȡ뤹ɬפޤ

%prep
%setup -q -n %{name}-%{ver}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
#%patch4 -p1
%patch5 -p1

rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6
if [ -d /usr/X11R6.1 ]; then
        ln -sf ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ]; then
        ln -sf ${RPM_BUILD_ROOT}/usr/X11R6 ${RPM_BUILD_ROOT}/usr/X11R6.3
fi
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/man1

%build
PATH=$PATH:/usr/X11R6/bin
CXX='g++' CC='gcc' CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s PAGE=A4 ./configure --prefix=/usr --JTeX=ASCII
make
cd xditview
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT
PATH=$PATH:/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr
make install prefix=$RPM_BUILD_ROOT/usr
cd xditview
make DESTDIR=$RPM_BUILD_ROOT install install.man
strip $RPM_BUILD_ROOT/usr/bin/* || :

ln -s tmac.s	$RPM_BUILD_ROOT/usr/lib/groff/tmac/tmac.gs
ln -s tmac.mse	$RPM_BUILD_ROOT/usr/lib/groff/tmac/tmac.gmse
ln -s tmac.m	$RPM_BUILD_ROOT/usr/lib/groff/tmac/tmac.gm
ln -s troff	$RPM_BUILD_ROOT/usr/bin/gtroff
ln -s tbl	$RPM_BUILD_ROOT/usr/bin/gtbl
ln -s pic	$RPM_BUILD_ROOT/usr/bin/gpic
ln -s eqn	$RPM_BUILD_ROOT/usr/bin/geqn
ln -s neqn	$RPM_BUILD_ROOT/usr/bin/gneqn
ln -s refer	$RPM_BUILD_ROOT/usr/bin/grefer
ln -s lookbib	$RPM_BUILD_ROOT/usr/bin/glookbib
ln -s indxbib	$RPM_BUILD_ROOT/usr/bin/gindxbib
ln -s soelim	$RPM_BUILD_ROOT/usr/bin/gsoelim
ln -s nroff	$RPM_BUILD_ROOT/usr/bin/gnroff
ln -s eqn.1	$RPM_BUILD_ROOT/usr/man/man1/geqn.1
ln -s indxbib.1	$RPM_BUILD_ROOT/usr/man/man1/gindxbib.1
ln -s lookbib.1	$RPM_BUILD_ROOT/usr/man/man1/glookbib.1
ln -s nroff.1	$RPM_BUILD_ROOT/usr/man/man1/gnroff.1
ln -s pic.1	$RPM_BUILD_ROOT/usr/man/man1/gpic.1
ln -s refer.1	$RPM_BUILD_ROOT/usr/man/man1/grefer.1
ln -s soelim.1	$RPM_BUILD_ROOT/usr/man/man1/gsoelim.1
ln -s tbl.1	$RPM_BUILD_ROOT/usr/man/man1/gtbl.1
ln -s troff.1	$RPM_BUILD_ROOT/usr/man/man1/gtroff.1
mkdir -p $RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters
install -m755 $RPM_SOURCE_DIR/troff-to-ps.fpi \
	$RPM_BUILD_ROOT/usr/lib/rhs/rhs-printfilters
tar zxvf $RPM_SOURCE_DIR/mandocj.tar.gz -C $RPM_BUILD_ROOT/usr/lib/groff/tmac

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc BUG-REPORT COPYING ChangeLog* INSTALL* NEWS PROBLEMS PROJECTS README*
%doc TODO VERSION
/usr/bin/*
/usr/lib/groff/
/usr/lib/rhs/*/*
/usr/man/*/*

%files gxditview
%defattr(-, root, root)
/usr/X11R6/bin/gxditview
%config /usr/X11R6/lib/X11/app-defaults/GXditview
/usr/X11R6/man/man1/gxditview.1x

%changelog
* Sat Mar 11 2000 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- fixed jgroff-1.15.diff to compile with gcc-2.95.2

* Thu Jan 06 2000 Atsushi Yamagata <yamagata@plathome.co.jp>
- added Japanarized patch based on jgroff-1.11a.diff

* Wed Dec 29 1999 Bill Nottingham <notting@redhat.com>
- update to 1.15

* Mon Jul 26 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 9th JRPM60 release
- added %defattr at %files
- Obsoletes: groff-tools
- modified jgroff-1.11a.diff

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 9)

* Tue Feb 16 1999 Cristian Gafton <gafton@redhat.com>
- glibc 2.1 patch for xditview (#992)

* Thu Oct 22 1998 Bill Nottingham <notting@redhat.com>
- build for Raw Hide

* Thu Sep 10 1998 Cristian Gafton <gafton@redhat.com>
- fix makefiles to work with bash2

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- use g++ for C++ code

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- manhattan and buildroot

* Sat Jan 31 1998 Kanda Mitsuru <kanda@cmm.is.tohoku.ac.jp>
- mandocj ѤΥɲ

* Thu Jan  8 1998 Kanda Mitsuru <kanda@cmm.is.tohoku.ac.jp>
- added Japanarized patch.

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- made xdefaults file a config file

* Thu Oct 23 1997 Erik Troan <ewt@redhat.com>
- split perl components into separate subpackage

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated to 1.11a
- added safe troff-to-ps.fpi

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- removed troff-to-ps.fpi for security reasons.

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc
